Get Templates
Query Parameters
q?string
Find templates whose names/descriptions contain the specified query string
is_starred?boolean
If true, returns only templates with at least one "star".
is_creator?boolean
If true, returns only templates that the caller created.
visibility?string
Return only templates with the specified visibility.
Value in
"private_shared" | "private" | "shared" | "public"sort_by?string
Return results sorted by this criteria
Value in
"created_at" | "updated_at" | "name" | "last_used_at" | "counter" | "star_counter"ascending?boolean
Set true/false to override the sort direction. Note that the default depends on sort_by. Date-based sorts default to descending, while name defaults to ascending.
rows?integer
Limit the number of rows returned (max 100)
Default
10page?integer
Specify which page of results to return
Default
0Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.verdocs.com/v2/templates?param=value" \ -H "Authorization: Bearer ACCESS_TOKEN" \ -H "content-type: application/json" \ -d '{"param": "value"}'{
"count": 0,
"rows": 0,
"page": 0,
"templates": [
{
"counter": 0,
"created_at": "string",
"data": "string",
"description": "string",
"followup_reminders": "string",
"id": "string",
"initial_reminder": "string",
"is_personal": true,
"is_public": true,
"is_sendable": true,
"last_used_at": "string",
"max_reminder_days": 0,
"organization_id": "string",
"profile_id": "string",
"sender": "string",
"star_counter": 0,
"template_documents": "string",
"updated_at": "string",
"visibility": "string"
}
]
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}{
"status": "ERROR",
"error": "string"
}